From b49dcc13832e7e84c2ce2aba0bb69a76378dd544 Mon Sep 17 00:00:00 2001
Message-Id: <b49dcc13832e7e84c2ce2aba0bb69a76378dd544.1455008444.git.l-m-h@web.de>
From: Lucas Hoffmann <l-m-h@web.de>
Date: Tue, 9 Feb 2016 09:43:08 +0100
Subject: [PATCH 1/4] show/find: Only list *.gpg files.
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------2.7.1"

This is a multi-part message in MIME format.
--------------2.7.1
Content-Type: text/plain; charset=UTF-8; format=fixed
Content-Transfer-Encoding: 8bit

---
 src/password-store.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)


--------------2.7.1
Content-Type: text/x-patch; name="0001-show-find-Only-list-.gpg-files.patch"
Content-Transfer-Encoding: 8bit
Content-Disposition: attachment; filename="0001-show-find-Only-list-.gpg-files.patch"

diff --git a/src/password-store.sh b/src/password-store.sh
index 63be840..0dfe0e1 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -324,7 +324,7 @@ cmd_show() {
 		else
 			echo "${path%\/}"
 		fi
-		tree -C -l --noreport "$PREFIX/$path" | tail -n +2 | sed -E 's/\.gpg(\x1B\[[0-9]+m)?( ->|$)/\1\2/g' # remove .gpg at end of line, but keep colors
+		tree -C -l --noreport -P '*.gpg' "$PREFIX/$path" | tail -n +2 | sed -E 's/\.gpg(\x1B\[[0-9]+m)?( ->|$)/\1\2/g' # remove .gpg at end of line, but keep colors
 	elif [[ -z $path ]]; then
 		die "Error: password store is empty. Try \"pass init\"."
 	else
@@ -335,7 +335,7 @@ cmd_show() {
 cmd_find() {
 	[[ -z "$@" ]] && die "Usage: $PROGRAM $COMMAND pass-names..."
 	IFS="," eval 'echo "Search Terms: $*"'
-	local terms="*$(printf '%s*|*' "$@")"
+	local terms="*$(printf '%s*.gpg|*' "$@")"
 	tree -C -l --noreport -P "${terms%|*}" --prune --matchdirs --ignore-case "$PREFIX" | tail -n +2 | sed -E 's/\.gpg(\x1B\[[0-9]+m)?( ->|$)/\1\2/g'
 }
 

--------------2.7.1--


